--- ldap

create table ldap_directories (
    id number(19) primary key,
    name varchar2(255 char) not null,
    deleted number(1) not null,

    hostname varchar2(255 char) not null,
    port number(19) not null,
    use_ssl number(1) not null,
    username varchar2(255 char) not null,
    password varchar2(255 char) not null,
    base_dn varchar2(255 char),

    attr_login varchar2(255 char),
    attr_first_name varchar2(255 char),
    attr_last_name varchar2(255 char),
    attr_display_name varchar2(255 char),
    attr_email varchar2(255 char),

    created_at timestamp with time zone not null,
    updated_at timestamp with time zone not null
);

create sequence ldap_directories_id_seq;
